# BlisBranchObjectBilevel Class Reference

`#include <BlisBranchObjectBilevel.h>`

Inheritance diagram for BlisBranchObjectBilevel:
[legend]
Collaboration diagram for BlisBranchObjectBilevel:
[legend]

List of all members.

## Public Member Functions
| BlisBranchObjectBilevel ()
| Default constructor.
| BlisBranchObjectBilevel (BcpsModel *model)
| Another useful constructor.
| BlisBranchObjectBilevel (const BlisBranchObjectBilevel &rhs)
| Copy constructor.
BlisBranchObjectBilevel & | operator= (const BlisBranchObjectBilevel &rhs)
| Assignment operator.
virtual BcpsBranchObject * | clone () const
| Clone.
virtual | ~BlisBranchObjectBilevel ()
| Destructor.
std::deque< int > * | getBranchingSet () const
| Get a pointer to the branching set.
void | addToBranchingSet (int item)
| Get a pointer to the branching set.
virtual double | branch (bool normalBranch=false)
| Set the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.
virtual void | print (bool normalBranch)
| Print something about branch - only if log level high.
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack to an encoded object.
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a branching object from an encoded object.
## Protected Member Functions
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded) const
| Pack Blis portion to an encoded object.
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack Blis portion from an encoded object.
## Protected Attributes
std::deque< int > * | branchingSet_
| The indices of variables in the branching set.

## Detailed Description

Definition at line 38 of file BlisBranchObjectBilevel.h.

## Constructor & Destructor Documentation

BlisBranchObjectBilevel::BlisBranchObjectBilevel | ( |  | ) | `[inline]`

Default constructor.

Definition at line 48 of file BlisBranchObjectBilevel.h.

BlisBranchObjectBilevel::BlisBranchObjectBilevel | ( | BcpsModel * | model | ) | `[inline]`

Another useful constructor.

Definition at line 55 of file BlisBranchObjectBilevel.h.

BlisBranchObjectBilevel::BlisBranchObjectBilevel | ( | const BlisBranchObjectBilevel & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 62 of file BlisBranchObjectBilevel.h.

virtual BlisBranchObjectBilevel::~BlisBranchObjectBilevel | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 75 of file BlisBranchObjectBilevel.h.

## Member Function Documentation

BlisBranchObjectBilevel& BlisBranchObjectBilevel::operator= | ( | const BlisBranchObjectBilevel & | rhs | ) |

Assignment operator.

Reimplemented from BcpsBranchObject.

virtual BcpsBranchObject* BlisBranchObjectBilevel::clone | ( |  | ) | const`[inline, virtual]`

Clone.

Implements BcpsBranchObject.

Definition at line 70 of file BlisBranchObjectBilevel.h.

std::deque<int>* BlisBranchObjectBilevel::getBranchingSet | ( |  | ) | const`[inline]`

Get a pointer to the branching set.

Definition at line 78 of file BlisBranchObjectBilevel.h.

void BlisBranchObjectBilevel::addToBranchingSet | ( | int | item | ) | `[inline]`

Get a pointer to the branching set.

Definition at line 81 of file BlisBranchObjectBilevel.h.

virtual double BlisBranchObjectBilevel::branch | ( | bool | normalBranch = `false` | ) | `[virtual]`

Set the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.

Returns change in guessed objective on next branch.

Implements BcpsBranchObject.

virtual void BlisBranchObjectBilevel::print | ( | bool | normalBranch | ) | `[virtual]`

Print something about branch - only if log level high.

Reimplemented from BcpsBranchObject.

AlpsReturnStatus BlisBranchObjectBilevel::encodeBlis | ( | AlpsEncoded * | encoded | ) | const`[inline, protected]`

Pack Blis portion to an encoded object.

Definition at line 94 of file BlisBranchObjectBilevel.h.

AlpsReturnStatus BlisBranchObjectBilevel::decodeBlis | ( | AlpsEncoded & | encoded | ) | `[inline, protected]`

Unpack Blis portion from an encoded object.

Definition at line 101 of file BlisBranchObjectBilevel.h.

virtual AlpsReturnStatus BlisBranchObjectBilevel::encode | ( | AlpsEncoded * | encoded | ) | const`[inline, virtual]`

Pack to an encoded object.

Reimplemented from BcpsBranchObject.

Definition at line 109 of file BlisBranchObjectBilevel.h.

virtual AlpsReturnStatus BlisBranchObjectBilevel::decode | ( | AlpsEncoded & | encoded | ) | `[inline, virtual]`

Unpack a branching object from an encoded object.

Reimplemented from BcpsBranchObject.

Definition at line 119 of file BlisBranchObjectBilevel.h.

## Member Data Documentation

std::deque<int>* BlisBranchObjectBilevel::branchingSet_`[protected]`

The indices of variables in the branching set.

Definition at line 43 of file BlisBranchObjectBilevel.h.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.94.1/Blis/src/BlisBranchObjectBilevel.h